import core as Quo
import felog.core as felog
from dotenv import dotenv_values, find_dotenv


log = felog.log("Test",debug=True)
found_dotenv = find_dotenv()
config = dotenv_values(found_dotenv)
quo = Quo.Phone(key=config['QUO_API_KEY'])
log.debug('Connecting Phone...')
log.debug(quo.connect())
log.debug('Phone connected.')
# log.debug('Retrieving conversations...')
# log.debug(quo.get_conversations())
# log.debug('Conversations retrieved.')
# log.debug('Retrieving messages...')
# log.debug(quo.get_messages('(352) 691-0497)'))
# log.debug(quo.get_messages('(786) 280-5593'))
# log.debug('Messages retrieved.')
# log.debug('Retrieving calls..')
# log.debug(quo.get_calls('(352) 691-0497'))
# log.debug(quo.get_calls('(786) 280-5593'))
# log.debug('Calls retrieved.')
log.debug('Sending text...')
log.debug(quo.send_message('(352) 691-0497','Sent text!'))
log.debug('Done.')